var display=
"<svg viewbox='0,0,536,334'>"+
"<image href='imgs/orologio_digitale.png' />"+
"<g><polyline points='86,44 86,198 210,198 210,44' stroke='transparent' fill='transparent' /><text x='30' y='20' stroke='white' fill='white' font-size='20q'>ORE</text></g>"+
"<g><polyline points='244,43 244,198 435,198 435,43' stroke='transparent' fill='transparent' /><text x='30' y='20' stroke='white' fill='white' font-size='20q'>MINUTI</text></g>"+
"<g><polyline points='436,144 436,198 504,198 504,144' stroke='transparent' fill='transparent' /><text x='30' y='20' stroke='white' fill='white' font-size='20q'>SECONDI</text></g>"+
"<g><polyline points='438,43 440,85 470,85 470,43' stroke='transparent' fill='transparent' /><text x='30' y='20' stroke='white' fill='white' font-size='20q'>SVEGLIE</text></g>"+
"<g><polyline points='30,211 142,211 142,299 30,299' stroke='transparent' fill='transparent' /><text x='30' y='20' stroke='white' fill='white' font-size='20q'>TEMPERATURA INTERNA</text></g>"+
"<g><polyline points='142,211 143,297 375,300 374,211' stroke='transparent' fill='transparent' /><text x='30' y='20' stroke='white' fill='white' font-size='20q'>DATA</text></g>"+
"<g><polyline points='375,212 375,298 508,298 508,212' stroke='transparent' fill='transparent' /><text x='30' y='20' stroke='white' fill='white' font-size='20q'>TEMPERATURA ESTERNA</text></g>"+
"<g><polyline points='390,304 390,330 509,330 508,304' stroke='transparent' fill='transparent' /><text x='30' y='20' stroke='white' fill='white' font-size='20q'>IMPOSTAZIONI</text></g>"+
"</svg>";
var cells=
[
["orologiop","L' OROLOGIO","border:1px dashed gray;background:#f2f2f2;grid-column:8/span 2;grid-row:1;","fond","audio/orologio.mp3"],
["misura","MISURA LA DURATA DEL TEMPO","border:1px dashed gray;background:#f9f9f9;grid-column:6/span 3;grid-row:2;","fond","audio/misura.mp3"],
["tipo","PUÒ ESSERE ANALOGICO O DIGITALE","border:1px dashed gray;background:#f9f9f9;grid-column:9/span 4;grid-row:2;","fond","audio/tipo.mp3"],
["numeri","ANALOGICO -> QUADRANTE","border:1px dashed gray;background:#ffffb5;grid-column:5/span 3;grid-row:1;","fond","audio/numeri.mp3"],
["ore","VEDIAMO 12 NUMERI CHE INDICANO LE ORE","border:1px dashed gray;background:#ffffc9;grid-column:1/span 4;grid-row:1;","fond","audio/ore.mp3"],
["tacche","60 TACCHE CHE INDICANO I MINUTI E I SECONDI","border:1px dashed gray;background:#ffffc9;grid-column:1/span 5;grid-row:2;","fond","audio/tacche.mp3"],
["lancette","3 LANCETTE ORE (CORTA) MINUTI (MEDIA) SECONDI (LUNGA)","border:1px dashed gray;background:#ffffc9;grid-column:1/span 5;grid-row:3;","fond","audio/lancette.mp3"],
["giorno","<br>IN UN<br><br>GIORNO<br><br>24 ORE","border:1px dashed gray;background:#ffb5ff;grid-column:6;grid-row:3/span 3;","fond","audio/giorno.mp3"],
["giri","LA LANCETTA DELLE ORE DEVE FARE DUE GIRI AL GIORNO","border:1px dashed gray;background:#ffc9ff;grid-column:1/span 5;grid-row:4;","fond","audio/giri.mp3"],
["antepom","GIRO ANTIMERIDIANO (0-12) E POMERIDIANO (12-24)","border:1px dashed gray;background:#ffc9ff;grid-column:1/span 5;grid-row:5;","fond","audio/antepom.mp3"],
["minuti","IN UN' ORA<br>60 MINUTI","border:1px dashed gray;background:#ffb5ff;grid-column:5/span 2;grid-row:6;","fond","audio/minuti.mp3"],
["minuti2","LANCETTA DEI MINUTI -> GIRO COMPLETO <br>LANCETTA ORE -> SI SPOSTA DI UN NUMERO","border:1px dashed gray;background:#ffc9ff;grid-column:1/span 4;grid-row:6;","fond","audio/minuti2.mp3"],
["secondi","IN UN MINUTO<br>60 SECONDI","border:1px dashed gray;background:#ffb5ff;grid-column:5/span 2;grid-row:7;","fond","audio/secondi.mp3"],
["secondi2","LANCETTA DEI SECONDI -> GIRO COMPLETO<br>LANCETTA MINUTI -> SI SPOSTA DI UNA TACCA","border:1px dashed gray;background:#ffc9ff;grid-column:1/span 4;grid-row:7;","fond","audio/secondi2.mp3"],
["watch","<img src='imgs/orologio_data.png' style='width:70%' /><br>IN ALCUNI QUADRANTI VEDIAMO ANCHE DATA E GIORNO DELLA SETTIMANA","border:1px dashed gray;background:#ffc9ff;grid-column:7/span 4;grid-row:3/span 6;","fond","audio/watch.mp3"],
["digitale","DIGITALE -> DISPLAY","border:1px dashed gray;background:#b5ffb5;grid-column:10/span 2;grid-row:1;","fond","audio/digitale.mp3"],
["caselle","HA 3 CASELLE ORE (SX) MINUTI (CENTRO) SECONDI (DX)","border:1px dashed gray;background:#c9ffc9;grid-column:12/span 5;grid-row:1;","fond","audio/caselle.mp3"],
["indicatori","PUÒ AVERE ALTRI INDICATORI COME PM O AM","border:1px dashed gray;background:#c9ffc9;grid-column:13/span 4;grid-row:2;","fond","audio/indicatori.mp3"],
["data","PUÒ INDICARE ANCHE DATA E TEMPERATURA","border:1px dashed gray;background:#c9ffc9;grid-column:13/span 4;grid-row:3;","fond","audio/data.mp3"],
["display",display,"border:1px dashed gray;background:#c9ffc9;grid-column:13/span 4;grid-row:4/span 4;","fond","audio/display.mp3"],
["fond","","border-width:0px;background:#ffffff","fond",""],
];
var len = cells.length;	
function cleanButtons()
{	let y=document.getElementById(cells[0][0]);
	let h=document.getElementById(cells[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(cells[b][0]).style.background="white";
		document.getElementById(cells[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(cells[i][0]);
		k.style=cells[i][2];
		k.innerHTML=cells[i][1];				
	}	
	document.getElementById("fond").style.display="none";
}

window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(cells[g][0]);
		k.style=cells[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("orologiop").innerHTML=cells[0][1];
	document.getElementById("orologiop").style=cells[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=cells[i][1];
				document.getElementById(cells[i+1][0]).style=cells[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(cells[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(cells[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	document.addEventListener("click",eventClick);	
	function eventClick(e)
	{	for(let i=1;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	if (document.getElementById(cells[i][3]).style.display=="block")
				{	document.getElementById(cells[i][3]).style.display="none";
				}
				else
				{	document.getElementById(cells[i][3]).style.display="block"
				}
			}
		}	
		document.getElementById("fond").style.display="none";	
	}
	function time()
	{ const deg = 6;
	  const o = document.querySelector('#o');
	  const m = document.querySelector('#m');
	  const s = document.querySelector('#s');
		
	  var gg = new Date();
	  var oo = gg.getHours() * 30;
	  var mm = gg.getMinutes() * deg;
	  var ss = gg.getSeconds() * deg;

	  o.style.transform = `rotateZ(${(oo)+(mm/12)}deg)`;
	  m.style.transform = `rotateZ(${mm}deg)`;
	  s.style.transform = `rotateZ(${ss}deg)`;
	  document.getElementById("ore_dig").innerText=addZero(gg.getHours());
	  document.getElementById("min_dig").innerText=addZero(gg.getMinutes());
	  document.getElementById("sec_dig").innerText=addZero(gg.getSeconds());
	}
	window.setInterval(time, 1000);
return;
}
function addZero(i) 
{  	if (i < 10) 
	{ i = "0" + i;
  	}
  	return i;
}
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
